#!/bin/sh

# All Rights Reserved * Licensed Materials - Property of IBM
# 5724-I63, 5724-H88, 5655-N01, 5733-W60 (C) COPYRIGHT International Business Machines Corp., 1997,2005
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# Launch osgiCfgInit

# Launch Arguments:
#   none
#

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

if [ -n "$USER_INSTALL_ROOT" ] && [ -f "$USER_INSTALL_ROOT"/configuration/config.ini ]; then
  rm "$USER_INSTALL_ROOT"/configuration/config.ini
fi

"$JAVA_HOME"/bin/java \
  "$OSGI_INSTALL" "$OSGI_CFG"  \
  -classpath "$WAS_CLASSPATH" \
  org.eclipse.core.launcher.Main -clean -nosplash -application com.ibm.ws.debug.osgi.Noop

launchExit=$?
exit `expr $launchExit + $?`
~